Bug 1448298 - Review Request: rubygem-webkit2-gtk - Ruby binding of WebKit2GTK+
Summary: Review Request: rubygem-webkit2-gtk - Ruby binding of WebKit2GTK+
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-05 06:32 UTC by Mamoru TASAKA
Modified: 2017-05-12 05:04 UTC (History)
2 users (show)

Fixed In Version: rubygem-webkit2-gtk-3.1.3-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-12 05:04:51 UTC
valtri: fedora-review+


Attachments (Terms of Use)

Comment 1 František Dvořák 2017-05-08 10:35:19 UTC
Nice packaging.

* I guess the Rakefile modification is not strictly needed, but it is there as prevention, because pkgconfig is not used?

* Not using BR pkgconfig(webkit2gtk-4.0) is good idea, development dependency of webkitgtk4 is not needed here.

* run-test.rb probably doesn't need to load modules (only the code at the end is needed). But it is actually good to perform only minimal changes as used here.

* Usage of Obsoletes is well commented.


Package APPROVED!

Comment 2 Mamoru TASAKA 2017-05-08 11:38:45 UTC
Thank you!

(In reply to František Dvořák from comment #1)
> Nice packaging.
> 
> * I guess the Rakefile modification is not strictly needed, but it is there
> as prevention, because pkgconfig is not used?

This is because unless modifying Rakefile, pkgconfig(webkit2gtk-4.0) (i.e. webkitgtk4-devel) will be needed as BR, while actually webkitgtk4 is needed as BR (and Requires) (and  -devel is not needed).

> * Not using BR pkgconfig(webkit2gtk-4.0) is good idea, development
> dependency of webkitgtk4 is not needed here.
> 
> * run-test.rb probably doesn't need to load modules (only the code at the
> end is needed). But it is actually good to perform only minimal changes as
> used here.

Note that "-extension RANDR" means _not_ loading RANDR, there was a bug that loading RANDR extension on Xvfb make it crash (current default is loading also RANDR extension), but I guess this bug is already fixed, will remove.

> * Usage of Obsoletes is well commented.
> 
> 
> Package APPROVED!
Thank you. I will surely review your package.

Comment 3 Gwyn Ciesla 2017-05-09 12:17:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-webkit2-gtk

Comment 4 Mamoru TASAKA 2017-05-12 05:04:51 UTC
Rebuilt on F-27, F-26, push request submitted on F-26.
Thank you for review!!


Note You need to log in before you can comment on or make changes to this bug.